Bug 129021 - StyleResolver::loadPendingImage() should take a reference to StylePendingImage
Summary: StyleResolver::loadPendingImage() should take a reference to StylePendingImage
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Kilzer (:ddkilzer)
URL:
Keywords:
Depends on: 128671
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-18 20:11 PST by David Kilzer (:ddkilzer)
Modified: 2014-02-21 11:35 PST (History)
13 users (show)

See Also:


Attachments
Patch v1 (9.49 KB, patch)
2014-02-18 20:21 PST, David Kilzer (:ddkilzer)
bfulgham: review+
ddkilzer: commit-queue?
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2014-02-18 20:11:43 PST
StyleResolver::loadPendingImage() should take a reference to StylePendingImage.

Clean up as noted in Bug 128671 Comment #4.
Comment 1 David Kilzer (:ddkilzer) 2014-02-18 20:21:25 PST
Created attachment 224580 [details]
Patch v1
Comment 2 Brent Fulgham 2014-02-19 10:58:00 PST
Comment on attachment 224580 [details]
Patch v1

View in context: https://bugs.webkit.org/attachment.cgi?id=224580&action=review

r=me

> Source/WebCore/css/StyleResolver.cpp:3495
> +    if (CSSImageSetValue* imageSetValue = pendingImage.cssImageSetValue())

Shouldn't this just be 'auto imageSetValue', too?
Comment 3 David Kilzer (:ddkilzer) 2014-02-21 11:34:47 PST
Committed r164489: <http://trac.webkit.org/changeset/164489>
Comment 4 David Kilzer (:ddkilzer) 2014-02-21 11:35:12 PST
(In reply to comment #2)
> (From update of attachment 224580 [details])
> > Source/WebCore/css/StyleResolver.cpp:3495
> > +    if (CSSImageSetValue* imageSetValue = pendingImage.cssImageSetValue())
> 
> Shouldn't this just be 'auto imageSetValue', too?

I also fixed this while I was in the neighborhood.  Thanks!